import Mock from "mockjs";
Mock.mock("/api/admin/exam/list", "post", {
  result: [
    {
      id: 1,
      schoolName: "学校名称",
      name: "考试名称",
      mode: "COMMON",
      enable: true,
      updateTime: 123456,
    },
  ],
  totalCount: 100,
  pageCount: 10,
});

Mock.mock("/api/admin/exam/overview?examId=1", "post", {
  //基础数据
  basic: {
    subjectCount: 123,
    cardCount: 2,
    studentCount: 1,
  },
  //扫描管理
  scan: {
    scannedCount: 1,
    unexistCount: 1,
    scannedRate: "100%",
    imageCheckCount: 1,
    imageCheckTodoCount: 2,
    imageCheckRate: "50%",
  },
  //复核校验
  assignedCheck: {
    auditorFinishCount: 1,
    auditorTodoCount: 1,
    auditorFinishRate: "50%",
    adminFinishCount: 1,
    adminTodoCount: 1,
    adminFinishRate: "50%",
  },
  //识别对照
  omr: {
    suspectFinishCount: 1,
    suspectTodoCount: 1,
    suspectFinishRate: "50%",
    customizeFinishCount: 1,
    customizeTodoCount: 1,
    customizeFinishRate: "50%",
  },
  //缺考校验
  absentCheck: {
    okCount: 1,
    absentCount: 1,
    todoCount: 1,
  },
});
