import Mock from "mockjs";
Mock.mock("/api/status", "post", {
  //文件URI前缀
  //最终完整URL为http://{host}:{port}/{fileUriPrefix}/{uri}
  //{host}和{port}为当前配置的服务端地址,{uri}为接口返回的文件路径
  fileUriPrefix: "cet",
  version: "1.0.0",
  time: 10,
  //当前请求客户端ip地址
  clientIP: "xxx",
  //若没有客户端升级包，则此字段为null
  client: {
    version: "1.0.3",
    uri: "xxxx.zip",
    md5: "摘要信息",
    updateTime: 123456789,
  },
  //当前系统模式:MARKINGCLOUD,STANDALONE
  systemMode: "MARKINGCLOUD",
});
Mock.mock("/api/user/login?loginName=1&password=2", "post", {
  role: "SCHOOL_ADMIN", //SCHOOL_ADMIN|SCAN_ADMIN|AUDITOR
  name: "管理员",
  sessionId: "abcdefg123456",
  accessToken: "xxxxxxoooooo",
});
Mock.mock("/api/user/login?loginName=2&password=2", "post", {
  role: "SCAN_ADMIN", //SCHOOL_ADMIN|SCAN_ADMIN|AUDITOR
  name: "审核员",
  sessionId: "abcdefg123456",
  accessToken: "xxxxxxoooooo",
});
