import { PageResult, PageParams, ExamSubjectParams } from "./common";

// 违纪导入
export interface ImageCheckListItem {
  subjectCode: string;
  subjectName: string;
  imageCheckProgress: number;
  failedCount: number;
}
export type ImageCheckListPageResult = PageResult<ImageCheckListItem>;

export interface ImageCheckFailedListItem {
  subjectCode: string;
  subjectName: string;
  campusCode: string;
  campusName: string;
  examSite: string;
  examSiteName: string;
  examRoom: string;
  failed: boolean;
}

export type ImageCheckFailedListPageResult =
  PageResult<ImageCheckFailedListItem>;

export type ImageCheckFailedParams = PageParams<ExamSubjectParams>;
