export const DEFAULT_LABEL = "--";

export const DATA_CHECK_TYPE = {
  1: "缺考有作答",
  2: "客观题无作答，主观题有作答；",
  3: "不缺考，无条码，有作答；(正常或待审核考生，条码为空，有作答)",
  4: "不缺考，无条码，无作答；(正常或待审核考生，条码为空，没有作答)",
  5: "条码异常(识别的条码没与库中匹配上）",
  6: "缺考有条码",
};

export const PAPER_TYPE_STATUS = {
  OK: "正常",
  BLANK: "空白",
  ERROR: "异常",
};

export const EXAM_STATUS = {
  OK: "正常",
  ABSENT: "缺考",
  UNCHECK: "待审核",
};
export const EXAM_SIMPLE_STATUS = {
  ABSENT: "是",
  OK: "否",
};

export const IMAGE_TYPE = {
  ORIGIN: "原图",
  SLICE: "裁切图",
};

export type ImageType = keyof typeof IMAGE_TYPE;

export const BOOLEAN_TYPE = {
  "0": "否",
  "1": "是",
};
export const BOOLEAN_ENABLE_TYPE = {
  "0": "禁用",
  "1": "启用",
};

export const abc = "abcdefghijklmnopqrstuvwxyz".toUpperCase();
