import { createPinia } from "pinia";
import { useAppStore } from "./modules/app";
import { useUserStore } from "./modules/user";
import { useReviewStore } from "./modules/review";
import { useDataCheckStore } from "./modules/dataCheck";
import piniaPluginPersistedstate from "pinia-plugin-persistedstate";

const pinia = createPinia();
pinia.use(piniaPluginPersistedstate);

export { useAppStore, useUserStore, useReviewStore, useDataCheckStore };
export default pinia;
