/// <reference types="vite/client" />
/// <reference types="@qmth/ui/global" />

interface ImportMetaEnv {
  readonly VITE_APP_PROXY_URL: any;
  // more env variables...
}

interface ImportMeta {
  readonly env: ImportMetaEnv;
}

declare module "*.vue" {
  import type { DefineComponent } from "vue";
  const component: DefineComponent<{}, {}, any>;
  export default component;
}
